


Name:		samba-mounter
Version: 	0.2
Release:	%mkrel 1
Summary:	App to mount samba shares
License:	GPLv2+
Group:		Graphical desktop/KDE5
URL:		https://github.com/KDE/samba-mounter
Source0:	samba-mounter-master.zip
#---------------------------------
BuildRequires:  cmake
BuildRequires:  kf5-macros
BuildRequires: libkconfig-devel
BuildRequires: libkf5auth-devel
BuildRequires: libkf5completion-devel
BuildRequires: libkf5configwidgets-devel
BuildRequires: libkf5i18n-devel
BuildRequires: libkf5solid-devel
BuildRequires: libkf5widgetsaddons-devel
BuildRequires: libkio-devel 
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5widgets-devel
#---------------------------------

%description
Desktop application to mount samba shares


#--------------------------------------------------------------------

%prep
%setup -q -n samba-mounter-master
%apply_patches

%build
%cmake_kf5

%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%files
%{_sysconfdir}/dbus-1/system.d/org.kde.sambamounter.conf
%{_sysconfdir}/xdg/autostart/sambamounter.desktop
%{_bindir}/samba-onstart
%{_bindir}/samba-realmounter
%{_bindir}/samba-realumounter
%{_libdir}/qt5/plugins/kcm_sambamount.so
%{_libexecdir}/kauth/samba_helper
%{_datadir}/applications/sambamounter.desktop
%{_datadir}/applications/sambamounterapp.desktop
%{_datadir}/dbus-1/system-services/org.kde.sambamounter.service
%{_datadir}/kservices5/sambamount.desktop
%{_datadir}/polkit-1/actions/org.kde.sambamounter.policy

%post
update-menus

%postun
update-menus


%changelog
* Sat Jan 13 2018 adrianomorselli <adrianomorselli> 0.2-1uplos2018
- imported for uplos
